## javax.persistence.criteria
Interface AbstractQuery<T>

All Known Subinterfaces:
  CriteriaQuery<T>, Subquery<T>

    public interface AbstractQuery<T>

Method Summary
`AbstractQuery<T>` `distinct(boolean distinct)`

`

`<X> Root<X>`

`

`from(java.lang.Class<X> entityClass)`

`

`<X> Root<X>`

`

`from(EntityType<X> entity)`

`java.util.List<Expression<?>>` `getGroupList()`
`Predicate` `getGroupRestriction()`
`Predicate` `getRestriction()`
`java.lang.Class<T>` `getResultType()`
`java.util.Set<Root<?>>` `getRoots()`
`Selection<T>` `getSelection()`
`AbstractQuery<T>` `groupBy(Expression<?>... grouping)`
`AbstractQuery<T>` `groupBy(java.util.List<Expression<?>> grouping)`
`AbstractQuery<T>` `having(Expression<java.lang.Boolean> restriction)`
`AbstractQuery<T>` `having(Predicate... restrictions)`
`boolean` `isDistinct()`

`

`<U> Subquery<U>`

`

`subquery(java.lang.Class<U> type)`

`AbstractQuery<T>` `where(Expression<java.lang.Boolean> restriction)`
`AbstractQuery<T>` `where(Predicate... restrictions)`

Method Detail

### from

    <X> Root<X> from(java.lang.Class<X> entityClass)

### from

    <X> Root<X> from(EntityType<X> entity)

### where

    AbstractQuery<T> where(Expression<java.lang.Boolean> restriction)

### where

    AbstractQuery<T> where(Predicate... restrictions)

### groupBy

    AbstractQuery<T> groupBy(Expression<?>... grouping)

### groupBy

    AbstractQuery<T> groupBy(java.util.List<Expression<?>> grouping)

### having

    AbstractQuery<T> having(Expression<java.lang.Boolean> restriction)

### having

    AbstractQuery<T> having(Predicate... restrictions)

### distinct

    AbstractQuery<T> distinct(boolean distinct)

### subquery

    <U> Subquery<U> subquery(java.lang.Class<U> type)

### getRoots

    java.util.Set<Root<?>> getRoots()

### getSelection

    Selection<T> getSelection()

### getRestriction

    Predicate getRestriction()

### getGroupList

    java.util.List<Expression<?>> getGroupList()

### getGroupRestriction

    Predicate getGroupRestriction()

### isDistinct

    boolean isDistinct()

### getResultType

    java.lang.Class<T> getResultType()